Skip to main content
GET
/
api
/
training
/
snapshots
Get all training snapshots with pagination and filters
curl --request GET \
  --url https://your-instance.example.com/api/training/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "snapshots": [
      {
        "_id": "67f1a0b0c0d0e0f0a0b0c0d0",
        "organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
        "customerName": "Jane Doe",
        "quality": "good",
        "tags": [
          "sales",
          "pricing"
        ],
        "isArchived": false
      }
    ],
    "pagination": {
      "total": 1,
      "page": 1,
      "limit": 20,
      "pages": 1
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
string
default:1
limit
string
default:20
quality
string
category
string
archived
string
default:false

Response

200 - application/json

Training snapshots with pagination returned

success
enum<boolean>
required
Available options:
true
data
object
required